import { Destroyable } from 'vtxf-xe2/dist-node/xe2-base-utils';
import * as Cesium from 'cesium';
import { CzmCzmParticleSystemPrimitive } from '.';
import { CzmViewer } from '../../../core';
import { CzmParticleSystemPrimitive } from '../../CzmObjects';
export declare class PrimitiveWrapper extends Destroyable {
    private _czmObj;
    get czmObj(): CzmCzmParticleSystemPrimitive;
    get sceneObj(): CzmParticleSystemPrimitive;
    get czmViewer(): CzmViewer;
    private _viewer;
    get viewer(): Cesium.Viewer;
    private _primitive;
    get primitive(): Cesium.ParticleSystem;
    constructor(_czmObj: CzmCzmParticleSystemPrimitive);
}
