import { Destroyable } from "vtxf-xe2/dist-node/xe2-base-utils";
import { CzmViewer } from '.';
import { Legend } from "./Legend";
export declare class ViewerLegend extends Destroyable {
    private _czmViewer;
    private _enabled;
    get enabled(): boolean;
    set enabled(value: boolean);
    get enabledChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[boolean, boolean]>;
    private _resolution;
    get resolution(): number | undefined;
    set resolution(value: number | undefined);
    get resolutionChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[number | undefined, number | undefined]>;
    private _center;
    get center(): [number, number, number] | undefined;
    get centerChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[[number, number, number] | undefined, [number, number, number] | undefined]>;
    private _zoom;
    get zoom(): number | undefined;
    get zoomChanged(): import("vtxf-xe2/dist-node/xe2-base-utils").Listener<[number | undefined, number | undefined]>;
    private _legend;
    get legend(): Legend;
    constructor(_czmViewer: CzmViewer);
}
